######################################################################
# datHerc_cy_adju.cs
# Cybrid Adjudicator
#
######################################################################

#                 Identity_Tag  Abbreviation     Shape             Mass                MaxMass               RCS             Tech_Level      Combat_Value
hercBase(         IDVEH_CY_ADJU,"JUDG",          "cy_JUDG.dts",                  12.0 ,                  60 ,          1.20 ,             3 ,      2705);

#                 maxPosAcc     minPosVel        maxForPosVel      maxRevPosVel        (all_m/s)
hercPos(                 12.50 ,           3.00 ,           27.00 ,              -15.00);

#                 minRotVel     maxRVSlow        maxRVFast         {all_deg/s}
hercRot(                  6.00 ,          50.00 ,             25.00);

#                 toStandVel    toRunVel         toFastRunVel      toFastTurnVel(deg/s)
hercAnim(         4.0,          10.0,            18.0,                               41);

#                 offsetX       offsetY          offsetZ
hercCpit(         0.0,          3.0,                           -1.5);

#                 sphOffstX     sphOffstY        sphOffstZ         sphereRad
hercColl(         0.0,          0.0,             2.9,                                 3);

#                 fireBayesNetName
hercAI(           "hercFire.ai", "targetPart.ai","hercManeuver.ai","hercRetreat.ai"    );

#                 Special Footprint type
hercFootprint(    IDBMP_CY_FOOTPRINT_3           );

#                               Hard Points
#                               (sizes:SMLX      sides:TBLR)       Dmg                 Offset_fm_Node                                        X_rot_rnge      Z_rot_rnge
#                 id            size             side              Prnt                X___                  Y___            Z___            min__     max_  min__           max__
newHardPoint(     0,            M,               T,                RightPod,           1.75,                 -3.25,          4.75,           -35.0,    45.0, -60.0,             60);
newHardPoint(     1,            M,               T,                LeftPod,            -1.75,                -3.25,          4.75,           -35.0,    45.0, -60.0,             60);
newHardPoint(     2,            X,               R,                RightPod,           2.3,                  -3.2,           3.0,            -50.0,    90.0, -60.0,             20);
newHardPoint(     3,            X,               L,                LeftPod,            -2.3,                 -3.2,           3.0,            -50.0,    90.0, -20.0,             60);
#
#
#                 id            size             Dmg_Parent        Allowed_Mountables
newMountPoint(    0,            X,               Pelvis,           Engine);
newMountPoint(    1,            M,               Pelvis,           Reactor);
newMountPoint(    2,            S,               Head,             Computer);
newMountPoint(    3,            L,               Pelvis,           Shield);
newMountPoint(    4,            M,               none,             Armor);
newMountPoint(    5,            S,               Head,             Sensors             );
newMountPoint(    6,            M,               LeftPod,          ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,  Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,      AgravGenerator,        TurbineBoost, RocketBooster);
newMountPoint(    7,            L,               RightPod,         ECM,                ThermalDiffuser,      LaserTargeting, NanoRepair,     Battery,  Cloak,FieldStabilizer,       ammoPack,
                                                                   LifeSupport,        ShieldModulator,      ShieldCapacitor,ShieldAmplifier,Capacitor,      AgravGenerator,        TurbineBoost, RocketBooster);
#                 Internal      Components
#                 id            type             parent            max_dmg             identity_tag
newComponent(     Armor,        Armor,           none,                          11000 ,IDCOM_ARMOR           );
newComponent(     LeftServos,   LeftServos,      none,                           1600 ,IDCOM_LEFT_LEG_SERVOS );
newComponent(     RightServos,  RightServos,     none,                           1600 ,IDCOM_RIGHT_LEG_SERVOS);

#                 External      Components
#                 id            type             parent            max_dmg             identity_tag          total internals=            8500
newComponent(     Pelvis,       Pelvis,          none,                            850 ,IDCOM_PELVIS          );                        # 0.10
newComponent(     Head,         Head,            Pelvis,                         1020 ,IDCOM_HEAD            );                        # 0.12
newComponent(     LeftThigh,    LeftThigh,       Pelvis,                          680 ,IDCOM_LEFT_THIGH      );                        # 0.08
newComponent(     RightThigh,   RightThigh,      Pelvis,                          680 ,IDCOM_RIGHT_THIGH     );                        # 0.08
newComponent(     LeftLeg,      LeftLeg,         LeftThigh,                       680 ,IDCOM_LEFT_LEG        );                        # 0.08
newComponent(     RightLeg,     RightLeg,        RighThigh,                       680 ,IDCOM_RIGHT_LEG       );                        # 0.08
newComponent(     LeftCalf,     LeftCalf,        LeftLeg,                         595 ,IDCOM_LEFT_CALF       );                        # 0.07
newComponent(     RightCalf,    RightCalf,       RightLeg,                        595 ,IDCOM_RIGHT_CALF      );                        # 0.07
newComponent(     LeftFoot,     LeftFoot,        LeftLeg,                         510 ,IDCOM_LEFT_FOOT       );                        # 0.06
newComponent(     RightFoot,    RightFoot,       RightLeg,                        510 ,IDCOM_RIGHT_FOOT      );                        # 0.06
newComponent(     LeftPod,      LeftPod,         Head,                            850 ,IDCOM_LEFT_POD        );                        # 0.10
newComponent(     RightPod,     RightPod,        Head,                            850 ,IDCOM_RIGHT_POD       );                        # 0.10
newComponent(     Pilot,        Pilot,           none,                            300 ,IDCOM_PILOT           );
#                                                (totals)                          8500                                                # 1.00


#                 Distribution  of               internal          components          among                 external        components
#                 containee     container        percent/100
newConfiguration( Armor,        LeftFoot,                      0.06);                                   # 660
newConfiguration( Armor,        RightFoot,                     0.06);                                   # 660
newConfiguration( Armor,        LeftCalf,                      0.07);                                   # 770
newConfiguration( Armor,        RightCalf,                     0.07);                                   # 770
newConfiguration( Armor,        LeftLeg,                       0.08);                                   # 880
newConfiguration( Armor,        RightLeg,                      0.08);                                   # 880
newConfiguration( Armor,        LeftThigh,                     0.08);                                   # 880
newConfiguration( Armor,        RightThigh,                    0.08);                                   # 880
newConfiguration( Armor,        LeftPod,                       0.10);                                  # 1100
newConfiguration( Armor,        RightPod,                      0.10);                                  # 1100
newConfiguration( Armor,        Pelvis,                        0.10);                                  # 1100
newConfiguration( Armor,        Head,                          0.12);                                  # 1320
#                 -----
#                                                              1.00

newConfiguration( LeftServos,   LeftFoot,                      0.25);
newConfiguration( LeftServos,   LeftCalf,                      0.25);
newConfiguration( LeftServos,   LeftLeg,                       0.25);
newConfiguration( LeftServos,   LeftThigh,                     0.25);

newConfiguration( RightServos,  RightFoot,                     0.25);
newConfiguration( RightServos,  RightCalf,                     0.25);
newConfiguration( RightServos,  RightLeg,                      0.25);
newConfiguration( RightServos,  RightThigh,                    0.25);


// Medium Weapon 1
%temp1 = randomInt(1, 1000);  
if(%temp1 >=	0	&& %temp1 <	10	) %weapon1 =	101; // Laser
if(%temp1 >=	10	&& %temp1 <	20	) %weapon1 =	102; // Heavy Laser
if(%temp1 >=	20	&& %temp1 <	30	) %weapon1 =	103; // Compression Laser
if(%temp1 >=	30	&& %temp1 <	40	) %weapon1 =	104; // Twin Laser
if(%temp1 >=	40	&& %temp1 <	142	) %weapon1 =	105; // EMP
if(%temp1 >=	142	&& %temp1 <	243	) %weapon1 =	106; // ELF
if(%temp1 >=	243	&& %temp1 <	344	) %weapon1 =	107; // Blaster
if(%temp1 >=	344	&& %temp1 <	374	) %weapon1 =	111; // Blink Gun
if(%temp1 >=	374	&& %temp1 <	379	) %weapon1 =	114; // Nano Infuser
if(%temp1 >=	379	&& %temp1 <	384	) %weapon1 =	115; // Nanite Cannon
if(%temp1 >=	384	&& %temp1 <	404	) %weapon1 =	116; // ATC
if(%temp1 >=	404	&& %temp1 <	435	) %weapon1 =	117; // HATC
if(%temp1 >=	435	&& %temp1 <	475	) %weapon1 =	118; // EM ATC
if(%temp1 >=	475	&& %temp1 <	513	) %weapon1 =	124; // Pit Viper 8
if(%temp1 >=	513	&& %temp1 <	550	) %weapon1 =	125; // Pit Viper 12
if(%temp1 >=	550	&& %temp1 <	587	) %weapon1 =	126; // Sparrow 6
if(%temp1 >=	587	&& %temp1 <	625	) %weapon1 =	127; // Sparrow 10
if(%temp1 >=	625	&& %temp1 <	662	) %weapon1 =	128; // Swarm 6
if(%temp1 >=	662	&& %temp1 <	700	) %weapon1 =	129; // Minion
if(%temp1 >=	700	&& %temp1 <	737	) %weapon1 =	130; // Shrike 8
if(%temp1 >=	737	&& %temp1 <	775	) %weapon1 =	131; // Arachnitron 4
if(%temp1 >=	775	&& %temp1 <	812	) %weapon1 =	132; // Arachnitron 8
if(%temp1 >=	812	&& %temp1 <	849	) %weapon1 =	134; // HHG 6
if(%temp1 >=	849	&& %temp1 <	887	) %weapon1 =	135; // HHG 10
if(%temp1 >=	887	&& %temp1 <	924	) %weapon1 =	145; // Rad Gun
if(%temp1 >=	924	&& %temp1 <	962	) %weapon1 =	147; // Aphid
if(%temp1 >=	962	&& %temp1 <	999	) %weapon1 =	150; // Smart Gun
if(%temp1 >=	999	&& %temp1 <=	1000	) %weapon1 =	0; // None

// Medium Weapon 2
%temp1 = randomInt(1, 2);
if(%temp1 == 1 && %weapon1 != 0 )%weapon2 = %weapon1;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >=	0	&& %temp1 <	10	) %weapon2 =	101; // Laser
  if(%temp1 >=	10	&& %temp1 <	20	) %weapon2 =	102; // Heavy Laser
  if(%temp1 >=	20	&& %temp1 <	30	) %weapon2 =	103; // Compression Laser
  if(%temp1 >=	30	&& %temp1 <	40	) %weapon2 =	104; // Twin Laser
  if(%temp1 >=	40	&& %temp1 <	142	) %weapon2 =	105; // EMP
  if(%temp1 >=	142	&& %temp1 <	243	) %weapon2 =	106; // ELF
  if(%temp1 >=	243	&& %temp1 <	344	) %weapon2 =	107; // Blaster
  if(%temp1 >=	344	&& %temp1 <	374	) %weapon2 =	111; // Blink Gun
  if(%temp1 >=	374	&& %temp1 <	379	) %weapon2 =	114; // Nano Infuser
  if(%temp1 >=	379	&& %temp1 <	384	) %weapon2 =	115; // Nanite Cannon
  if(%temp1 >=	384	&& %temp1 <	404	) %weapon2 =	116; // ATC
  if(%temp1 >=	404	&& %temp1 <	435	) %weapon2 =	117; // HATC
  if(%temp1 >=	435	&& %temp1 <	475	) %weapon2 =	118; // EM ATC
  if(%temp1 >=	475	&& %temp1 <	513	) %weapon2 =	124; // Pit Viper 8
  if(%temp1 >=	513	&& %temp1 <	550	) %weapon2 =	125; // Pit Viper 12
  if(%temp1 >=	550	&& %temp1 <	587	) %weapon2 =	126; // Sparrow 6
  if(%temp1 >=	587	&& %temp1 <	625	) %weapon2 =	127; // Sparrow 10
  if(%temp1 >=	625	&& %temp1 <	662	) %weapon2 =	128; // Swarm 6
  if(%temp1 >=	662	&& %temp1 <	700	) %weapon2 =	129; // Minion
  if(%temp1 >=	700	&& %temp1 <	737	) %weapon2 =	130; // Shrike 8
  if(%temp1 >=	737	&& %temp1 <	775	) %weapon2 =	131; // Arachnitron 4
  if(%temp1 >=	775	&& %temp1 <	812	) %weapon2 =	132; // Arachnitron 8
  if(%temp1 >=	812	&& %temp1 <	849	) %weapon2 =	134; // HHG 6
  if(%temp1 >=	849	&& %temp1 <	887	) %weapon2 =	135; // HHG 10
  if(%temp1 >=	887	&& %temp1 <	924	) %weapon2 =	145; // Rad Gun
  if(%temp1 >=	924	&& %temp1 <	962	) %weapon2 =	147; // Aphid
  if(%temp1 >=	962	&& %temp1 <	999	) %weapon2 =	150; // Smart Gun
  if(%temp1 >=	999	&& %temp1 <=	1000	) %weapon2 =	0; // None
}

// X-Large Weapon 3
%temp1 = randomInt(1, 1000);  
if(%temp1 >= 0 && %temp1 < 4 ) %weapon3 = 101; // Laser
if(%temp1 >= 4 && %temp1 < 9 ) %weapon3 = 102; // Heavy Laser
if(%temp1 >= 9 && %temp1 < 17 ) %weapon3 = 103; // Compression Laser
if(%temp1 >= 17 && %temp1 < 24 ) %weapon3 = 104; // Twin Laser
if(%temp1 >= 24 && %temp1 < 59 ) %weapon3 = 105; // EMP
if(%temp1 >= 59 && %temp1 < 85 ) %weapon3 = 106; // ELF
if(%temp1 >= 85 && %temp1 < 129 ) %weapon3 = 107; // Blaster
if(%temp1 >= 129 && %temp1 < 172 ) %weapon3 = 108; // Heavy Blaster
if(%temp1 >= 172 && %temp1 < 259 ) %weapon3 = 109; // PBW
if(%temp1 >= 259 && %temp1 < 294 ) %weapon3 = 110; // Plasma Cannon
if(%temp1 >= 294 && %temp1 < 312 ) %weapon3 = 111; // Blink Gun
if(%temp1 >= 312 && %temp1 < 355 ) %weapon3 = 112; // Q-Gun
if(%temp1 >= 355 && %temp1 < 425 ) %weapon3 = 113; // MFAC
if(%temp1 >= 425 && %temp1 < 429 ) %weapon3 = 114; // Nano Infuser
if(%temp1 >= 429 && %temp1 < 433 ) %weapon3 = 115; // Nanite Cannon
if(%temp1 >= 433 && %temp1 < 442 ) %weapon3 = 116; // ATC
if(%temp1 >= 442 && %temp1 < 455 ) %weapon3 = 117; // HATC
if(%temp1 >= 455 && %temp1 < 473 ) %weapon3 = 118; // EM ATC
if(%temp1 >= 473 && %temp1 < 507 ) %weapon3 = 119; // Blast Cannon
if(%temp1 >= 507 && %temp1 < 560 ) %weapon3 = 120; // Heavy Blast Cannon
if(%temp1 >= 560 && %temp1 < 647 ) %weapon3 = 121; // Rail Gun
if(%temp1 >= 647 && %temp1 < 660 ) %weapon3 = 124; // Pit Viper 8
if(%temp1 >= 660 && %temp1 < 686 ) %weapon3 = 125; // Pit Viper 12
if(%temp1 >= 686 && %temp1 < 699 ) %weapon3 = 126; // Sparrow 6
if(%temp1 >= 699 && %temp1 < 725 ) %weapon3 = 127; // Sparrow 10
if(%temp1 >= 725 && %temp1 < 751 ) %weapon3 = 128; // Swarm 6
if(%temp1 >= 751 && %temp1 < 777 ) %weapon3 = 129; // Minion
if(%temp1 >= 777 && %temp1 < 803 ) %weapon3 = 130; // Shrike 8
if(%temp1 >= 803 && %temp1 < 812 ) %weapon3 = 131; // Arachnitron 4
if(%temp1 >= 812 && %temp1 < 821 ) %weapon3 = 132; // Arachnitron 8
if(%temp1 >= 821 && %temp1 < 829 ) %weapon3 = 133; // Arachnitron 12
if(%temp1 >= 829 && %temp1 < 838 ) %weapon3 = 134; // HHG 6
if(%temp1 >= 838 && %temp1 < 864 ) %weapon3 = 135; // HHG 10
if(%temp1 >= 864 && %temp1 < 899 ) %weapon3 = 136; // HHG 15
if(%temp1 >= 899 && %temp1 < 943 ) %weapon3 = 145; // Rad Gun
if(%temp1 >= 943 && %temp1 < 947 ) %weapon3 = 147; // Aphid
if(%temp1 >= 947 && %temp1 < 999 ) %weapon3 = 150; // Smart Gun
if(%temp1 >= 999 && %temp1 <= 1000 ) %weapon3 = 0; // None

// X-Large Weapon 4
%temp1 = randomInt(1, 2);
if(%temp1 == 1 && %weapon3 != 0 )%weapon4 = %weapon3;
else
{
  %temp1 = randomInt(1, 1000);  
  if(%temp1 >= 0 && %temp1 < 4 ) %weapon4 = 101; // Laser
  if(%temp1 >= 4 && %temp1 < 9 ) %weapon4 = 102; // Heavy Laser
  if(%temp1 >= 9 && %temp1 < 17 ) %weapon4 = 103; // Compression Laser
  if(%temp1 >= 17 && %temp1 < 24 ) %weapon4 = 104; // Twin Laser
  if(%temp1 >= 24 && %temp1 < 59 ) %weapon4 = 105; // EMP
  if(%temp1 >= 59 && %temp1 < 85 ) %weapon4 = 106; // ELF
  if(%temp1 >= 85 && %temp1 < 129 ) %weapon4 = 107; // Blaster
  if(%temp1 >= 129 && %temp1 < 172 ) %weapon4 = 108; // Heavy Blaster
  if(%temp1 >= 172 && %temp1 < 259 ) %weapon4 = 109; // PBW
  if(%temp1 >= 259 && %temp1 < 294 ) %weapon4 = 110; // Plasma Cannon
  if(%temp1 >= 294 && %temp1 < 312 ) %weapon4 = 111; // Blink Gun
  if(%temp1 >= 312 && %temp1 < 355 ) %weapon4 = 112; // Q-Gun
  if(%temp1 >= 355 && %temp1 < 425 ) %weapon4 = 113; // MFAC
  if(%temp1 >= 425 && %temp1 < 429 ) %weapon4 = 114; // Nano Infuser
  if(%temp1 >= 429 && %temp1 < 433 ) %weapon4 = 115; // Nanite Cannon
  if(%temp1 >= 433 && %temp1 < 442 ) %weapon4 = 116; // ATC
  if(%temp1 >= 442 && %temp1 < 455 ) %weapon4 = 117; // HATC
  if(%temp1 >= 455 && %temp1 < 473 ) %weapon4 = 118; // EM ATC
  if(%temp1 >= 473 && %temp1 < 507 ) %weapon4 = 119; // Blast Cannon
  if(%temp1 >= 507 && %temp1 < 560 ) %weapon4 = 120; // Heavy Blast Cannon
  if(%temp1 >= 560 && %temp1 < 647 ) %weapon4 = 121; // Rail Gun
  if(%temp1 >= 647 && %temp1 < 660 ) %weapon4 = 124; // Pit Viper 8
  if(%temp1 >= 660 && %temp1 < 686 ) %weapon4 = 125; // Pit Viper 12
  if(%temp1 >= 686 && %temp1 < 699 ) %weapon4 = 126; // Sparrow 6
  if(%temp1 >= 699 && %temp1 < 725 ) %weapon4 = 127; // Sparrow 10
  if(%temp1 >= 725 && %temp1 < 751 ) %weapon4 = 128; // Swarm 6
  if(%temp1 >= 751 && %temp1 < 777 ) %weapon4 = 129; // Minion
  if(%temp1 >= 777 && %temp1 < 803 ) %weapon4 = 130; // Shrike 8
  if(%temp1 >= 803 && %temp1 < 812 ) %weapon4 = 131; // Arachnitron 4
  if(%temp1 >= 812 && %temp1 < 821 ) %weapon4 = 132; // Arachnitron 8
  if(%temp1 >= 821 && %temp1 < 829 ) %weapon4 = 133; // Arachnitron 12
  if(%temp1 >= 829 && %temp1 < 838 ) %weapon4 = 134; // HHG 6
  if(%temp1 >= 838 && %temp1 < 864 ) %weapon4 = 135; // HHG 10
  if(%temp1 >= 864 && %temp1 < 899 ) %weapon4 = 136; // HHG 15
  if(%temp1 >= 899 && %temp1 < 943 ) %weapon4 = 145; // Rad Gun
  if(%temp1 >= 943 && %temp1 < 947 ) %weapon4 = 147; // Aphid
  if(%temp1 >= 947 && %temp1 < 999 ) %weapon4 = 150; // Smart Gun
  if(%temp1 >= 999 && %temp1 <= 1000 ) %weapon4 = 0; // None
}





defaultWeapons( %weapon1, %weapon2, %weapon3, %weapon4);

// defaultWeapons(   104,          142,             121,                               121);
defaultMountables(139,          229,             806,              331,                927,                  432,            865,                   813);
